umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Enumerations | Functions
Settings Namespace Reference

## Classes
class | AutoLayoutState
class | ClassState
class | CodeGenerationState
class | CodeImportState
class | CodeViewerState
| configurable params for the code viewer tool More...
class | GeneralState
class | LayoutTypeState
class | OptionState
class | UIState

## Enumerations
enum | Page { page_general = 0 , page_font , page_UI , page_class , page_codeimport , page_codegen , page_codeview }

## Functions
OptionState & | optionState ()
void | setOptionState (const OptionState &optstate)

## Enumeration Type Documentation

## ◆ Page

enum Settings::Page

Enumerator
page_general |
page_font |
page_UI |
page_class |
page_codeimport |
page_codegen |
page_codeview |

## Function Documentation

## ◆ optionState()

OptionState & Settings::optionState | ( |  | ) |

## ◆ setOptionState()

void Settings::setOptionState | ( | const OptionState & | optstate | ) |